%define		pname tai64nfrac
%define		pversion 0.01
%define 	bversion 2
%define		rpmrelease iworx

%define 	debug_package %{nil}

# INSTRUCTIONS!!! <--------------------- READ THEM!!!
#
# You can rebuild  this  package safely using Command
# Line Overrides. For example, if you want to rebuild
# this package for RedHat just type:
# $ rpm --rebuild --with redhat package.src.rpm
# $ rpm -ba --with redhat package.spec
#
# mdk = GNU/Linux Mandrake
# rht = Linux Red-Hat
# sus = Suse Linux
# fdr = Fedora Linux
# cos = CentOS
# whb = White Box Linux
# rhe = Red Hat Enterprise
# unk = Unknown
#

%define		build_rhe_6x   0
%define		build_rhe_7x   0
%define     build_rhe_8x   0

%define		build_unk      1

# Command Line Overrides
%{?_with_rhe6x: 	%{expand: %%define build_rhe_6x   1}}
%{?_with_rhe7x: 	%{expand: %%define build_rhe_7x   1}}
%{?_with_rhe8x:     %{expand: %%define build_rhe_8x   1}}

%{?_with_unk: 		%{expand: %%define build_unk      1}}

# Distro Statements

%if %{build_rhe_6x}
%define		oscode rhe6x
%define 	ostype RedHat Enterprise 6.x
BuildRequires: httpd
%define		build_unk 0
%endif

%if %{build_rhe_7x}
%define		oscode rhe7x
%define 	ostype RedHat Enterprise 7.x
BuildRequires: httpd
%define		build_unk 0
%endif

%if %{build_rhe_8x}
%define         oscode rhe8x
%define         ostype Almalinux 8.x
BuildRequires: httpd
%define         build_unk 0
%endif

%define	release %{bversion}.%{oscode}.%{rpmrelease}

##
# THIS MUST BE LAST
##

%if %{build_unk}
%define		oscode unk
%define 	ostype Unknown Distribution
%define		release %{bversion}.%{rpmrelease}
%define		ccflags %{optflags}
%define		ldflags %{optflags}
%endif

%define		release %{bversion}.%{rpmrelease}
%define		ccflags %{optflags}
%define		ldflags %{optflags}


############### RPM ################################

Summary:	Convert external TAI64N timestamps to fractional seconds since epoch.
Name:		%{pname}
Version:	%{pversion}
Release: 	%{release}
License:	Free
Packager:   Joseph Purkis <jpurkis@interworx.com>

Group:		Utilities/System
Source0:	%{name}-%{version}.tar.gz
URL:		http://www.qmail.org
Distribution:	InterWorx-HAL
Vendor:         NEXCESS.NET L.L.C

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%define destdir %buildroot
%global myhome /usr/local

%description

%prep
%setup -q

%build
make DESTDIR=%destdir MYHOME=%myhome

%install
rm -rf %destdir


make DESTDIR=%destdir MYHOME=%myhome install command_link

%clean
rm -rf %destdir

%files
%defattr(-,root,root,-)
%doc README
%myhome/bin/%name
/command/%name

%changelog
* Mon Sep 20 2021 Joseph Purkis <jpurkis@interworx.com>
- New spec, build and added Almalinux
* Sun Jun  1 2003 Mate Wierdl <mw@csi.hu>
- Initial build.


